@font-face {
  font-family: "Space Grotesk";
  src: url("assets/fonts/SpaceGrotesk-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 900;
  font-display: swap;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
  /* outline: 1px solid green; */
}

html {
  width: 100%;
  height: 100%;
  scrollbar-gutter: stable;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  overflow-x: hidden;
}

body * {
  font-family: "Space Grotesk", sans-serif;
}

body.stop-scroll {
  overflow-y: hidden;
}

header,
footer {
  width: 100%;
  justify-items: center;
}

header {
	position: fixed;
	top: 0;
	background-color: var(--color-background);
	z-index: 100;
}

footer {
  padding: 72px 0 48px 0;
  border-top: 1px rgba(199, 199, 204, 1) solid;
}

main {
  width: 100%;
	padding-top: 140px;
}

a {
  text-decoration: none;
  color: var(--color-text);
}

button {
  cursor: pointer;
  color: var(--color-text);
}

.wrapper {
  width: 100%;
  place-self: center;
  padding-bottom: 120px;
}

.header-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 40px;
}

.navigation {
  display: flex;
  flex-direction: row;
  gap: 32px;
  justify-content: center;
  align-items: center;
}

.nav-bar-icon-close {
  display: none;
}

.menu-locked .icon-burger {
  display: none;
}

.menu-locked .nav-bar-icon-close {
  display: block;
}

#nav-bar-mobile {
  position: fixed;
  left: 0;
  width: 100%;
  height: calc(100dvh - 140px);
  background-color: var(--color-background);
  z-index: 100;

  overflow-y: auto;

  transform: translateX(-100%);
  transition: transform 0.3s ease;
  will-change: transform;
}

.nav-bar-burger-button {
	display: none;
	fill: var(--color-text);
	stroke: var(--color-text);
	height: 60px;
	width: 60px;
}

#nav-bar-mobile {
  top: 140px;
}

#nav-bar-mobile.nav-bar-mobile-open {
  transform: translateX(0);
}

body.menu-locked {
  overflow: hidden;
  height: 100dvh;
}

#cta-nav-bar-mobile {
	display: none;
	margin: 32px auto 0;
}

.nav-bar-mobile-menu-list {
	display: flex;
	flex-direction: column;
	gap: 24px;
	font-weight: 500;
	font-size: 32px;
	line-height: 100%;
	align-items: center;
	list-style: none;
}

.header-menu-container ul {
  display: flex;
  flex-direction: row;
  gap: 32px;
  justify-content: center;
  align-items: center;
  list-style: none;
}

.nav-bar-mobile-footer {
	padding-top: 20px;
	border-top: 1px solid #616161;
	margin: 32px 16px 16px 16px;
	font-weight: 400;
	font-size: 20px;
	line-height: 100%;
}

.nav-bar-mobile-footer-book-meeting{
	margin-top: 16px;
	display: inline-flex;
	gap: 24px;
	align-items: center;
	position: relative;
}

.nav-bar-mobile-footer-or {
	font-size: 16px;
}

.header-menu-container ul a {
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  vertical-align: middle;
}

.fcc-nav ul li {
  height: 26px;
}

.cta-button {
  color: var(--color-button-text);
  background-color: var(--color-button-bg);
  border: 2px solid var(--color-button-bg);
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  text-align: center;
  vertical-align: middle;
  width: 280px;
  height: 44px;
  border-radius: 40px;
  padding: 8px 32px;
  transition: all 0.3s ease;
  position: relative;
}

.footer-title p {
  color: var(--color-text);
  font-weight: 400;
  font-size: 28px;
  line-height: 100%;
}

.footer-title {
  width: 617px;
}

.footer-btn-box button {
  color: var(--color-button-text);
  background-color: var(--color-button-bg);
  border: 2px solid var(--color-button-bg);
  width: 180px;
  height: 44px;
  border-radius: 40px;
  padding: 8px 32px;
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  text-align: center;
  vertical-align: middle;
  transition: all 0.3s ease;
}

.footer-btn-box span {
  color: var(--color-text);
  font-weight: 400;
  font-size: 20px;
  line-height: 100%;
}

.footer-btn-box a {
  display: flex;
  flex-direction: row;
  gap: 12px;
  align-items: center;
  justify-content: center;
}

.footer-btn-box a span {
  color: var(--arrow-footer-fill);
  display: inline-block;
  position: relative;
  font-weight: 400;
  font-size: 24px;
  line-height: 100%;
	height: 26px;
}

.footer-btn-box {
  display: flex;
  flex-direction: row;
  gap: 24px;
  align-items: center;
  padding: 40px 0 24px 0;
}

.footer-btn-box a,
.pr-col-1 a {
  position: relative;
  display: inline-flex;
}

.meeting-button {
	color: var(--link-active);
	border-bottom: 2px solid var(--link-active);
	height: 30px;
}

.meeting-button svg path {
	fill: var(--link-active);
	stroke: var(--link-active);
}

.meeting-button .icon-base,
.meeting-button .icon-hover {
  position: absolute;
  right: -30px;
  top: calc(50%);
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
}

.meeting-button .icon-base {
  opacity: 1;
  transform: translate(0, -50%);
  transition: opacity 0s;
}

.meeting-button .icon-hover {
  opacity: 0;
  transform: translate(-100%, 50%);
  transition: opacity 0s;
}

.footer-btn-box a svg path,
.pr-col-1 a svg path {
  fill: var(--arrow-footer-fill);
  stroke: var(--arrow-footer-fill);
}

@keyframes iconOut {
  0% {
    opacity: 1;
    transform: translate(0, -50%);
  }

  100% {
    opacity: 0;
    transform: translate(100%, -150%);
  }
}

@keyframes iconIn {
  0% {
    opacity: 0;
    transform: translate(-100%, 50%);
  }

  100% {
    opacity: 1;
    transform: translate(0, -50%);
  }
}

.footer-project button {
  color: var(--color-button-bg);
  border: 2px solid var(--color-button-bg);
  background-color: transparent;
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  text-align: center;
  vertical-align: middle;
  width: 486px;
  height: 44px;
  border-radius: 40px;
  padding: 8px 32px;
  transition: all 0.3s ease;
}

.footer-box-logo {
  padding: 34px 0 32px 0;
  width: 282px;
}

.footer-box-logo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.footer-container-left > p {
  color: var(--coppy);
  font-weight: 400;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: -2%;
  vertical-align: middle;
}

.footer-container {
  margin: 0 auto 0;
  width: 100%;
  max-width: 1200px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.fcc-title p,
.fcr-title p {
  color: var(--color-text);
  font-weight: 400;
  font-size: 28px;
  line-height: 100%;
}

.footer-container-center > div,
.footer-container-right > div {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.fcc-nav ul {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 18px;
}

.rcr-box {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.rcr-box p {
  color: var(--color-text);
  font-weight: 400;
  font-size: 20px;
  line-height: 100%;
}

.rcr-box > div {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.fcr-rew > div {
  display: flex;
  gap: 16px;
  flex-direction: row;
}

.rcr-soc > div {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 16px;
}

.footer-container-right > a,
.footer-container-center > a {
  color: var(--coppy);
  font-weight: 400;
  font-size: 20px;
  line-height: 100%;
  vertical-align: middle;
  transition: width 0.3s ease-out;
}

.footer-container-right svg path {
  fill: var(--soc-svg-bg);
  transition: fill 0.3s ease-out;
}

.footer-container-center,
.footer-container-right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footer-container-right > a,
.footer-container-center > a {
  display: inline-block;
  position: relative;
  text-decoration: none;
}

.footer-container-right > a::after,
.footer-container-center > a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -7.5px;
  width: 0;
  height: 2px;
  background-color: var(--coppy);
  transition: width 0.3s ease-out;
}

.header-menu-container ul li {
  height: 35px;
}

.header-menu-container ul a {
  display: inline-block;
  position: relative;
  text-decoration: none;
	height: 100%;
	display: flex;
	align-items: center;
}

.header-menu-container ul a::after {
  content: "";
  position: absolute;
  height: 1px;
  background-color: var(--color-text);
  transform-origin: 100% 50%;
  transform: scale3d(0, 1, 1);
  transition: transform 0.3s;
  width: 100%;
  top: 100%;
  left: 0;
  pointer-events: none;
}

/** **/

.touch-block {
  padding: 80px 0 0 0;
}

.get-touch-box {
  padding: 24px;
}

.get-touch-box p {
  font-weight: 700;
  font-size: 120px;
  line-height: 100%;
  vertical-align: middle;
  text-transform: uppercase;
  color: #fff;
}

.get-touch {
  border: 1px solid var(--color-border-line);
  position: relative;
  display: inline-block;
  width: 1200px;
}

.get-touch-border-2::before {
  content: "";
  position: absolute;
  bottom: -20px;
  left: -20px;
  width: 20px;
  height: 20px;
  background: linear-gradient(to right, var(--color-border-line) 0 100%, transparent 0) bottom
      left / 20px 1px no-repeat,
    linear-gradient(to top, var(--color-border-line) 0 100%, transparent 0) bottom left / 1px
      20px no-repeat;
  transform: rotate(180deg);
}

.get-touch-border-2::after {
  content: "";
  position: absolute;
  width: 9px;
  height: 9px;
  left: -5px;
  bottom: -5px;
  background: linear-gradient(to bottom, var(--color-plus) 0 100%, transparent 0) center /
      1px 9px no-repeat,
    linear-gradient(to right, var(--color-plus) 0 100%, transparent 0) center / 9px 1px
      no-repeat,
    linear-gradient(to bottom right, var(--color-plus) 0 100%, transparent 0) center / 1px
      9px no-repeat,
    linear-gradient(to top right, var(--color-plus) 0 100%, transparent 0) center / 1px 9px
      no-repeat;
}

.get-touch-border-1::before {
  content: "";
  position: absolute;
  top: -20px;
  left: -20px;
  width: 20px;
  height: 20px;
  background: linear-gradient(to right, var(--color-border-line) 0 100%, transparent 0) bottom
      left / 20px 1px no-repeat,
    linear-gradient(to top, var(--color-border-line) 0 100%, transparent 0) bottom left / 1px
      20px no-repeat;
  transform: rotate(270deg);
}

.get-touch-border-1::after {
  content: "";
  position: absolute;
  width: 9px;
  height: 9px;
  left: -5px;
  top: -5px;
  background: linear-gradient(to bottom, var(--color-plus) 0 100%, transparent 0) center /
      1px 9px no-repeat,
    linear-gradient(to right, var(--color-plus) 0 100%, transparent 0) center / 9px 1px
      no-repeat,
    linear-gradient(to bottom right, var(--color-plus) 0 100%, transparent 0) center / 1px
      9px no-repeat,
    linear-gradient(to top right, var(--color-plus) 0 100%, transparent 0) center / 1px 9px
      no-repeat;
}

.get-touch-border-3::before {
  content: "";
  position: absolute;
  top: -20px;
  right: -20px;
  width: 20px;
  height: 20px;
  background: linear-gradient(to right, var(--color-border-line) 0 100%, transparent 0) bottom
      left / 20px 1px no-repeat,
    linear-gradient(to top, var(--color-border-line) 0 100%, transparent 0) bottom left / 1px
      20px no-repeat;
  transform: rotate(0deg);
}

.get-touch-border-3::after {
  content: "";
  position: absolute;
  width: 9px;
  height: 9px;
  right: -5px;
  top: -5px;
  background: linear-gradient(to bottom, var(--color-plus) 0 100%, transparent 0) center /
      1px 9px no-repeat,
    linear-gradient(to right, var(--color-plus) 0 100%, transparent 0) center / 9px 1px
      no-repeat,
    linear-gradient(to bottom right, var(--color-plus) 0 100%, transparent 0) center / 1px
      9px no-repeat,
    linear-gradient(to top right, var(--color-plus) 0 100%, transparent 0) center / 1px 9px
      no-repeat;
}

.get-touch-border-4::before {
  content: "";
  position: absolute;
  bottom: -20px;
  right: -20px;
  width: 20px;
  height: 20px;
  background: linear-gradient(to right, var(--color-border-line) 0 100%, transparent 0) bottom
      left / 20px 1px no-repeat,
    linear-gradient(to top, var(--color-border-line) 0 100%, transparent 0) bottom left / 1px
      20px no-repeat;
  transform: rotate(90deg);
}

.get-touch-border-4::after {
  content: "";
  position: absolute;
  width: 9px;
  height: 9px;
  right: -5px;
  bottom: -5px;
  background: linear-gradient(to bottom, var(--color-plus) 0 100%, transparent 0) center /
      1px 9px no-repeat,
    linear-gradient(to right, var(--color-plus) 0 100%, transparent 0) center / 9px 1px
      no-repeat,
    linear-gradient(to bottom right, var(--color-plus) 0 100%, transparent 0) center / 1px
      9px no-repeat,
    linear-gradient(to top right, var(--color-plus) 0 100%, transparent 0) center / 1px 9px
      no-repeat;
}

/** **/
.title-tech-page {
  font-weight: 500;
  font-size: 48px;
  line-height: 100%;
  vertical-align: middle;
  padding: 0 0 36px 0;
  margin-top: 80px;
  text-align: left;
  margin-left: 30px;	
}
.custom-menu li {
  list-style-type: none;
  font-size: 20px;	
}

.custom-menu li a {
	position: relative;
}

.custom-menu li a::after {
	content: "";
	position: absolute;
  width: 100%;
  height: 1px;
  background: var(--color-text);
  top: 100%;
  left: 0;
  pointer-events: none;
	transform-origin: 100% 50%;
  transform: scale3d(0, 1, 1);
  transition: transform 0.3s;
}

.footer-container-right .info-link { display: none; }

.ellipse-white {
    opacity: 0;
    pointer-events: none;
}

body:has(#theme-toggle:checked) .ellipse-default {
    opacity: 0;
}

body:has(#theme-toggle:checked) .ellipse-white {
    opacity: 1;
}

@media (hover: hover) and (pointer: fine) {
	
	.cta-button:hover,
.footer-btn-box button:hover {
  background-color: var(--color-button-text-hover);
  color: var(--color-button-bg-hover);
  border-color: var(--color-button-bg-hover);
}

.footer-container-right a:hover svg path {
  fill: var(--link-active);
}

.header-menu-container ul a:hover::after,
.footer-container-right > a:hover::after,
.footer-container-center > a:hover::after {
  width: 100%;
  background-color: var(--link-active);
}

.header-menu-container ul a:hover,
.footer-container-right > a:hover,
.footer-container-center > a:hover {
  color: var(--link-active);
}
	
	.header-menu-container ul a:hover::after{
		transform-origin: 0% 50%;
  		transform: scale3d(1, 1, 1);
	}
	
  .footer-container-right > a:hover::after,
  .footer-container-center > a:hover::after {
    width: 100%;
  }
	
	

.footer-container-right > a, .footer-container-center > a  {
	position: relative;
	height: 26px;
	display: flex;
	align-items: center;
}

.footer-container-right > a:after, .footer-container-center > a:after {
	content: "";
	position: absolute;
  width: 100%;
  height: 1px;
  background: var(--color-text);
  top: 100%;
  left: 0;
  pointer-events: none;
	transform-origin: 100% 50%;
  transform: scale3d(0, 1, 1);
  transition: transform 0.3s;
}

.footer-container-right > a:hover::after, .footer-container-center > a:hover::after {
	transform-origin: 0% 50%;
  transform: scale3d(1, 1, 1);
}

  .cta-button:hover,
  .footer-btn-box button:hover {
    background-color: var(--color-button-text-hover);
    color: var(--color-button-bg-hover);
    border-color: var(--color-button-bg-hover);
  }

  .footer-container-right a:hover svg path {
    fill: var(--link-active);
  }
	
	.meeting-button:hover .icon-base {
  opacity: 0;
  animation: iconOut 0.3s ease-in forwards;
}

.meeting-button:hover .icon-hover {
  opacity: 1;
  animation: iconIn 0.3s ease-in forwards;
}

.meeting-button:not(:hover) .icon-base {
  transition: none;
  opacity: 1;
  transform: translate(0, -50%);
}

.meeting-button:not(:hover) .icon-hover {
  transition: none;
  opacity: 0;
  transform: translate(-100%, 50%);
}

.footer-btn-box a:not(:hover) .icon-hover {
  transition: none;
  opacity: 0;
  transform: translate(-100%, 50%);
}


.footer-project button:hover {
  color: var(--color-button-text);
  background-color: var(--color-button-bg);
  border: 2px solid var(--color-button-bg);
}

.custom-menu li a:hover::after {
	transform-origin: 0% 50%;
  transform: scale3d(1, 1, 1);
}
}

@media screen and (max-width: 1440px) {
	.footer-title p {
		font-size: 24px;
	}
	.footer-title {
		width: 535px;
	}
	
	.footer-container{
		max-width: 960px;
		margin: 0 auto;
	}
	
	.header-menu-container {
		display: none;
	}
	
	.nav-bar-burger-button {
		display: block;
	}
	
	.wrapper {
  		padding-bottom: 80px;
	}
	
}
/* @media screen and (max-width: 1440px) {
	.footer-title {
		width: 530px;
	}
}*/
@media screen and (max-width: 1024px) {
	.footer-title {
		width: 490px;
	}
	.footer-project button { 
		width: 100%;
	}	
	.header-container {
		padding: 32px;
	}
	
	 .footer-container {
		max-width: unset;
		width: auto;
		margin: 0 32px;
		justify-content: flex-start;
  	}
	
	.footer-container-center{
		margin-left: 85px;
	}
	
	.footer-container-right {
		margin-left: 28px;
	}
	
		#nav-bar-mobile {
		top: 124px;
		height: calc(100dvh - 124px);
	}
	
	main {
	padding-top: 124px;
}
	

}
@media screen and (max-width: 988px) {
	footer {
		padding: 40px 0 48px 0;
	}
	.footer-container-left, .footer-title	{
		width: 433px;
	}
	
	.footer-btn-box{
		width: 250px;
		display: flex;
		flex-wrap: wrap;
		gap: 32px 16px;
		padding-bottom: 40px;
	}
	.footer-btn-box button {
		width: 100%;
		font-size: 20px;		
	}
	.footer-btn-box a span {
		font-size: 20px;
	}
	.footer-project button {
		font-size: 20px;
		width: 340px;
	}
	
	.footer-container{
		flex-wrap: wrap;
		justify-content: space-between;
		gap: 52px;
	}
	
	.footer-container-right{
		width: 100%
	}
	
	.footer-container-center{
		margin-left: 0;
	}
	
	.footer-container-right {
		margin-left: 0;
	}
	.footer-box-logo, .footer-container-center .footer-privacy-policy, .footer-container-right .footer-terms-condition, .all-rights{
		display: none;
	}
	
	.rcr-box{
		flex-direction: row;
		gap: 16px;
		justify-content: space-between;
	}
	
	.rcr-soc > div {
	  display: flex;
	}
	
	.footer-container-right .info-link { display: block; padding-top: 56px;  }
	.footer-container-right .info-link p:nth-child(2) { margin-top: 40px; display: flex; gap: 54px; }	
	
	.info-link .all-rights{
		display: block;
		font-weight: 400;
		font-size: 16px;
		line-height: 100%;
		letter-spacing: -2%;
		margin-top: 24px;
		color: var(--color-link);
	}
	
	.info-link .footer-privacy-policy, .info-link .footer-terms-condition {
		display: block;
		font-weight: 400;
		font-size: 20px;
		line-height: 100%;
		color: var(--color-link);
	}
	
	.fcr-rew svg, .rcr-soc svg {
		width: 46px;
		height: 46px;
	}
	
	.info-link .logo {
		width: 282px;
  height: 70px;
  object-fit: cover;
	}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
	.footer-container {
		flex-wrap: wrap;
	}
	.footer-container-left > p {
		position: absolute;
		margin-top: 220px;
		padding-bottom: 50px;
	}
	.footer-container-right > a {
		position: absolute;
		margin-top: 160px;
		margin-left: 200px;
	}
	.footer-container-center > a {
		position: absolute;
		margin-top: 520px;
    	left: 35px;
	}
	.rcr-box { flex-direction: row; }
	.rcr-soc > div { grid-template-columns: repeat(7, 1fr); }
}
@media screen and (max-width: 768px) {
	.header-container .cta-button {
		margin-left: 0;
	}
	
	.navigation {
		gap: 24px;
	}
	
	.footer-container {
		margin: 0 26px;
	}
}	
@media screen and (max-width: 680px) {
	 #cta1 {
		display: none;
	}	
	#mega-menu-item-78 {
		padding-top: 20px;
	}
	
	.header-container .cta-button {
		width: calc(100% - 30px);
		font-size: 16px;
	}
	
	#cta-nav-bar-mobile {
		display: block;
		width: fit-content;
	}
	
	.footer-container-left, .footer-title, .footer-btn-box  {
    width: auto;
  }
	.footer-project button {
		width: 100%;
	}
	.rcr-box{
		flex-direction: column;
	}
}	
@media screen and (max-width: 586px) {
	
}

@media screen and (max-width: 520px) {
	.rcr-soc > div {
		display: grid;
		grid-template-columns: repeat(3, 1fr);
		grid-template-rows: repeat(3, 1fr);
		gap: 16px;
		width: fit-content;
  }
	.rcr-soc > div > a{
		width: 46px;
    height: 46px;
	}
	.footer-container {
		margin: 0 16px;
	}
}	
@media screen and (max-width: 480px) {
	.footer-container { flex-wrap: wrap; }
	.footer-btn-box a span {
        font-size: 24px;
    }
	.footer-box-logo { display: none; }
	.footer-container-center {
		width: 100%;
    	padding-top: 30px;
	}
	.footer-container-right { padding-top: 30px; }
	.fcr-rew p, .rcr-soc p { font-size: 20px; }
	.rcr-box svg { width: 46px; height: 46px; }
	.footer-container-left p.all-rights, .footer-container-center > a, .footer-container-right > a  { display: none; }
	.footer-container-right .info-link p:nth-child(2) {
		gap: 12px;
	}
}
@media screen and (max-width: 385px) {
	.header-container { padding: 32px 16px; }
	
	.navigation{
		gap: 12px;
	}
	
	.info-link .site-logo {
		display: none;
	}
	.info-link .footer-privacy-policy, .info-link .footer-terms-condition {
		font-size: 18px;
	}
	.info-link .all-rights {
		font-size: 14px;
	}
	
	 footer {
    padding: 32px 0 90px 0;
  }
	.footer-title p {
		font-size: 20px; 
	}
	
	.footer-btn-box {
		padding: 28px 0 32px;
		gap: 28px 16px;
	}
	
	.footer-container {
		gap: 40px;
	}
	.footer-container-center, .footer-container-right  {
		padding-top: 0;
	}
	
	.rcr-box {
		gap: 24px;
	}
	
	.footer-container-right .info-link {
		padding-top: 0;
	}
	
	.footer-container-right .info-link p:nth-child(2) {
		margin-top: 32px;
	}
	
}